<script setup>
import { ref, onMounted } from "vue";
import { RouterView } from "vue-router";
import { socket } from "@/socket";
import TheFooter from "@/components/TheFooter.vue";
import SlideFadeInOut from "@/components/transitions/SlideFadeInOut.vue";
import { useConnectionStore } from "@/stores/Connection";
import { useSessionStore } from "@/stores/Session";

const connectionStore = useConnectionStore();
const sessionStore = useSessionStore();

socket.off();

connectionStore.bindEvents();
sessionStore.bindEvents();

connectionStore.connect();

const isChecked = ref(localStorage.getItem("theme") === "dark");

const changeTheme = (value) => {
  const prefersDark = value;
  document.documentElement.setAttribute(
    "data-bs-theme",
    prefersDark ? "dark" : "light",
  );
  isChecked.value = prefersDark;
  localStorage.setItem("theme", prefersDark ? "dark" : "light");
};
onMounted(() => {
  changeTheme(isChecked.value);
});
</script>

<template>
  <main class="min-vh-100 container mt-3 w-100">
    <!-- <StatusBar/> -->
    <RouterView v-slot="{ Component }">
      <SlideFadeInOut>
        <component :is="Component" />
      </SlideFadeInOut>
    </RouterView>
  </main>
  <TheFooter />
</template>

<style scoped></style>
